{ pkgs, home-manager, ... }:
{
  imports = [
    ./graphical
    
    ./applications.nix
    ./auto-cpufreq.nix
    ./envvar.nix
    ./git.nix
    ./hyfetch.nix
    ./locales.nix
    #./ssh.nix
    ./syncthing.nix
    ./udev.nix
    ./user.nix
    #./zsh.nix
  ];

  services.greetd = {
    enable = true;
     settings = rec {
      initial_session = {
        command = ''Hyprland'';
        user = "willifan";
      };
      default_session = initial_session;
    };
  };

  home-manager.users.willifan.home.stateVersion = "23.11";
}